Author Topic: Upgrade help needed for version 1.2.6 to 1.2.7  (Read 3272 times)

Offline scorpbond

  • Newbie
  • *
  • Posts: 32
  • Karma: +2/-1
  • BlackPantherInternational
    • View Profile
    • Black Panther International Shopping Portal
Upgrade help needed for version 1.2.6 to 1.2.7
« on: May 16, 2016, 09:38:43 AM »
I Tried updating manually from version 1.2.6 to version 1.2.7 in a proper system by following the instructions in upgrade documents but when i check at the footer of Admin area It showing version same older version 1.2.6. What does it mean its upgraded successfully or not?

I downloaded the 1.2.7 upgrade folder. I uploaded all files in code folder through FTP. and edited upgrade.sql file by replacing ac_ to my prefix bpi_   and run sql query by pasting the code in upgrade.sql. in sql query window. then I saw the below mentioned code in Green color.


What does it means its upgraded successfully or not? why in admin its showing older version 1.2.6 at the footer. I have been suggested by abolabo  to change it by edit file core/version.php. But is this the right way to change or upgrade the version. or it just change the footer only. How to check if the version is upgraded or not. Please help after analyzing the circumstances.


------------------------------------
ALTER TABLE `bpi_settings`
ADD INDEX `bpi_settings_idx` USING BTREE (`group` ASC, `key` ASC);# 429 rows affected.


INSERT INTO `bpi_block_templates` (`block_id`, `parent_block_id`, `template`, `date_added`) VALUES
(29, 3, 'blocks/account.tpl', now() ),
(29, 6, 'blocks/account.tpl', now() );# 2 rows affected.


UPDATE `bpi_block_templates`
SET `parent_block_id` = 1
WHERE `template` = 'blocks/customer.tpl' AND `block_id`=31 AND `parent_block_id` = 0;# 1 row affected.


UPDATE `bpi_block_templates`
SET `parent_block_id` = 8
WHERE `template` = 'blocks/donate.tpl' AND `block_id`=21 AND `parent_block_id` = 0;# 1 row affected.


UPDATE `bpi_block_templates`
SET `parent_block_id` = 2
WHERE `template` = 'blocks/breadcrumbs.tpl' AND `block_id`=28 AND `parent_block_id` = 0;# 1 row affected.


INSERT INTO `bpi_settings` (`group`, `key`, `value`)
VALUES
('system','config_html_cache',0),
('system','config_image_quality',95);# 2 rows affected.


INSERT INTO `bpi_settings` (`g[...]

----------------
Regards.
Abhinav Mishra
For: BlackPantherInternational

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1782
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade help needed for version 1.2.6 to 1.2.7
« Reply #1 on: May 19, 2016, 08:28:04 AM »

What does it means its upgraded successfully or not? why in admin its showing older version 1.2.6 at the footer. I have been suggested by abolabo  to change it by edit file core/version.php. But is this the right way to change or upgrade the version. or it just change the footer only. How to check if the version is upgraded or not. Please help after analyzing the circumstances.

if you replaced all files successfully and ran sql too you have correct upgraded version 1.2.7.
At last you should change version in version.php manually. Usually this file rewrites during automatic upgrade process by package installer. You should this too.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline evert61

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Re: Upgrade help needed for version 1.2.6 to 1.2.7
« Reply #2 on: September 08, 2016, 02:59:24 PM »
I am getting this message trying to update 1.2.6 to 1.2.7 through the extensions menu.

---------------------------------------------------------------------
There has been a critical error processing your request

SQL Error: Duplicate key name 'ab_settings_idx'
Error No: 1061
SQL: ALTER TABLE `ab_settings` ADD INDEX `ab_settings_idx` USING BTREE (`group` ASC, `key` ASC); in /home/marion6/public_html/core/database/amysqli.php on line 106

Report this problem to AbanteCart team (do not change email subject)
---------------------------------------------------------------------


I checked and the 'ab_settings_idx' exists. Should I delete the index and retry?



Evert
« Last Edit: September 08, 2016, 03:49:45 PM by evert61 »

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1782
  • Karma: +247/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade help needed for version 1.2.6 to 1.2.7
« Reply #3 on: September 12, 2016, 01:59:56 AM »
yes, you can try to delete it. Index affects only to performance of database, not data. Anyway you can recreate it manually via phpMyAdmin.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

 

Powered by SMFPacks Social Login Mod